%define upstream_name	 Carp-Assert-More
%define upstream_version 2.9.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convenience wrappers around Carp::Assert module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.720.0
BuildArch:  noarch

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert functions 
to make the habit of writing assertions even easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml
%{perl_vendorlib}/Carp
%{_mandir}/man3/*

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.9.0-2.mga10
+ Revision: 2243431
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 tv <tv> 2.9.0-1.mga10
+ Revision: 2161785
- update to 2.9.0

* Fri Jan 24 2025 tv <tv> 2.8.0-1.mga10
+ Revision: 2141351
- update to 2.8.0

* Wed Mar 06 2024 tv <tv> 2.4.0-1.mga10
+ Revision: 2047936
- update to 2.4.0

* Tue Aug 29 2023 tv <tv> 2.3.0-1.mga10
+ Revision: 1980928
- update to 2.3.0

* Fri Feb 03 2023 tv <tv> 2.2.0-1.mga9
+ Revision: 1937841
- update to 2.2.0

* Fri Aug 19 2022 tv <tv> 2.1.0-1.mga9
+ Revision: 1878668
- update to 2.1.0

* Mon Mar 21 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1814852
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 tv <tv> 2.0.1-1.mga9
+ Revision: 1741592
- update to 2.0.1

* Mon Dec 28 2020 tv <tv> 1.260.0-1.mga8
+ Revision: 1664338
- update to 1.26

* Thu Oct 08 2020 tv <tv> 1.240.0-1.mga8
+ Revision: 1632682
- update to 1.24

* Sat Feb 15 2020 umeabot <umeabot> 1.200.0-2.mga8
+ Revision: 1528131
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Aug 10 2019 tv <tv> 1.200.0-1.mga8
+ Revision: 1428504
- update to 1.20

* Sun Jul 21 2019 tv <tv> 1.180.0-1.mga8
+ Revision: 1423232
- update to 1.18

* Thu Sep 20 2018 umeabot <umeabot> 1.160.0-3.mga7
+ Revision: 1281939
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.160.0-2.mga7
+ Revision: 1163255
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 1.160.0-1.mga7
+ Revision: 1155999
- new version 1.16

* Sat Jun 18 2016 pterjan <pterjan> 1.140.0-7.mga6
+ Revision: 1022837
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.140.0-6.mga6
+ Revision: 947779
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-5.mga5
+ Revision: 747076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 683744
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.140.0-3.mga4
+ Revision: 509574
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-2.mga3
+ Revision: 363800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.140.0-1.mga3
+ Revision: 314860
- update to 1.14

* Wed Jan 26 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 40242
- mageia rebuild
- imported package perl-Carp-Assert-More


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 405957
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.12-5mdv2009.0
+ Revision: 255478
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-3mdv2008.1
+ Revision: 136890
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 1.12-2mdv2007.0
+ Revision: 74870
- Rebuild for new extension
- Import perl-Carp-Assert-More

